@charset "utf-8";

/* --------------------------------------------

	members

---------------------------------------------- */

/* 梶野 瑞王 ／ KAJINO Mizuo */
section.inner__contents {
    max-width: 1050px;
    padding-bottom: 12rem;
}

.profile__contents__inner {
    display: flex;
    justify-content: space-between;
    gap: 6rem;
}

.profile__img {
    width: 300px;
    height: 100%;
    margin-bottom: 1.5rem;
}

.profile__detail {
    width: 80%;
}

.profile__info {
    padding-bottom: 3rem;
    margin-bottom: 3rem;
    border-bottom: solid 1px #5a5da1;
}

.profile__info h4 {
    margin-bottom: 0.2rem;
    font-size: var(--fz-m);
    font-weight: var(--fw-bold);
}

.profile__info p {
    font-size: var(--fz-s);
    font-weight: var(--fw-bold);
}

.profile__career h4 {
    display: inline-block;
    padding: 0.1rem 1.2rem 0;
    margin-bottom: 1.5rem;
    font-weight: var(--fw-bold);
    color: var(--c-white);
    background-color: var(--c-purple);
}

.career__list {
    padding: 0 0.5rem;
    margin-bottom: 1.5rem;
    font-size: var(--fz-s);
    display: grid;
    grid-template-columns: 33% 67%;
    row-gap: 0.6rem;
}

.career__list dt {
    font-weight: normal;
}

.career__list dd {
    margin: 0;
}

.cv__link {
    padding-left: 0.5rem;
}

.cv__link a {
    text-decoration: underline;
    transition: 0.4s;
}

@media (hover:hover) {
    .cv__link a:hover {
        opacity: 0.7;
        transition: 0.4s;
    }
}

/* 支援研究員 */
.staff__contents h4,
.student__contents h4,
.careerPath__contents h4 {
    padding: 1.2rem 2rem;
    margin-bottom: 4rem;
    text-align: center;
    color: var(--c-purple);
    font-size: var(--fz-xl);
    font-weight: var(--fw-bold);
    border-top: solid 1px #5a5da1;
    border-bottom: solid 1px #5a5da1;
}

.staff__item {
    display: flex;
    gap: 3rem;
    margin-bottom: 2rem;
}

.staff__item:last-of-type {
    margin-bottom: 0;
}

.staff__item dt {
    width: 15%;
    padding: 0.5rem 2rem;
    align-self: center;
    text-align: center;
    font-size: var(--fz-s);
    color: var(--c-purple);
    border: solid 1px #5a5da1;
}

.staff__item dd {
    align-self: center;
}

.staff__item dd a {
    text-decoration: underline;
    transition: 0.4s;
}

@media (hover:hover) {
    .staff__item dd a:hover {
        opacity: 0.7;
        transition: 0.4s;
    }
}

/* 学生 */
.student__contents table {
    width: 100%;
    font-weight: var(--fw-medium);
}

.student__item {
    transition: 0.3s;
}

.student__item[onclick] {
    cursor: pointer;
}

.student__item:nth-of-type(odd):not(:first-of-type) {
    background-color: rgba(90, 93, 161, 0.2);
}

.student__item td {
    padding: 0.8rem 1rem;
    text-align: center;
    vertical-align: middle;
    font-weight: var(--fw-medium);
    border: solid 1px #5a5da1;
}

.student__item.-title td {
    color: var(--c-white);
    font-weight: var(--fw-bold);
    background-color: var(--c-purple);
    border-right: solid 1px #fff;
}

.student__item td.grade {
    width: 15%;
}

.student__item td.name {
    width: 17%;
    line-height: 1.6;
}

.student__item td.theme {
    text-align: left;
}

.student__item:last-of-type {
    margin-bottom: 0;
}

.student__item td .romaji {
    display: block;
    text-align: center;
    font-size: var(--fz-s);
}

@media (hover:hover) {
    .student__item[onclick]:hover {
        opacity: 0.7;
        transition: 0.4s;
    }
}


/* OB・OG */
section.inner__contents.contents05 {
    padding-bottom: 16rem;
}

@media only screen and (max-width:640px) {
    /* 梶野 瑞王 ／ KAJINO Mizuo */
    section.inner__contents {
        width: 90%;
        padding-bottom: 8rem;
    }

    .profile__contents__inner {
        flex-direction: column;
        gap: 0;
    }

    .profile__img {
        display: block;
        width: 60%;
        min-width: 300px;
        margin: 0 auto 1.5rem;
    }

    .profile__detail {
        width: 100%;
    }

    .profile__info h4 {
        text-align: center;
        font-size: 1.4rem;
    }

    .profile__info p {
        width: 75%;
        padding-left: 10px;
        margin: 0 auto;
        text-indent: -10px;
        letter-spacing: -0.01em;
    }

    .profile__career h4 {
        font-size: 1.4rem;
    }

    .career__list {
        display: block;
    }

    .career__list dt,
    .career__list dd {
        display: block;
        width: 100%;
    }

    .career__list dt {
        font-weight: var(--fw-bold);
        padding-top: 0.9rem;
    }

    .career__list dd {
        font-size: var(--fz-m);
        padding-bottom: 0.9rem;
    }

    .career__list dt:first-of-type {
        padding-top: 0;
    }

    .career__list dd:last-of-type {
        padding-bottom: 0;
    }

    /* 支援研究員 */
    .staff__contents h4,
    .student__contents h4,
    .careerPath__contents h4 {
        padding: 0.5rem 2rem;
        margin-bottom: 3rem;
    }

    .staff__item {
        flex-direction: column;
        gap: 1rem;
        margin-bottom: 3rem;
    }

    .staff__item dt,
    .staff__item dd {
        display: block;
        width: 90%;
    }

    /* 学生 */
    .student__contents table {
        display: block;
    }

    .student__list {
        display: block;
    }

    .student__item {
        display: block;
        margin-bottom: 1.5rem;
        border: 1px solid #5a5da1;
        overflow: hidden;
    }

    .student__item.-title {
        display: none;
    }

    .student__item td {
        position: relative;
        display: block;
        padding: 0.6rem 1rem;
        text-align: left;
        border: none;
        border-bottom: 1px solid #ccc;
    }

    .student__item td:last-child {
        border-bottom: none;
    }

    .student__item td.grade,
    .student__item td.name {
        width: 100%;
    }

    /* 疑似ラベル */
    .student__item td.grade::before,
    .student__item td.name::before,
    .student__item td.theme::before {
        font-size: 1.4rem;
        font-weight: var(--fw-bold);
        color: var(--c-purple);
    }

    .student__item td.grade::before {
        content: "学年";
        display: inline-block;
        margin-right: 1.5rem;
    }

    .student__item td.name::before {
        content: "氏名";
        display: inline-block;
        margin-right: 1.5rem;
    }

    .student__item td.theme::before {
        content: "研究テーマ";
        display: block;
        margin-bottom: 0.2rem;
    }

    .student__item td .romaji {
        display: inline-block;
    }

    .student__item td .showSp {
        display: inline-block;
        margin: 0 0.8rem;
    }

    .student__item:nth-of-type(odd):not(:first-of-type) {
        background-color: rgba(90, 93, 161, 0.1);
    }

    /* OB・OG */
    section.inner__contents.contents05 {
        padding-bottom: 8rem;
    }
}